Bug 73631 - Can't build ds1621.o kernel module
Can't build ds1621.o kernel module
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-07 00:03 EDT by Steven W. Orr
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven W. Orr 2002-09-07 00:03:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I am working with the latest kernel from RH which is 2.4.18-10.

I want to get lm_sensors working and it tells me that I need to have 
ds1621.o available as a module.  For the life of me, I can't figure out 
what entry in .config to access to affect the creation of this object 
module. It might have something to do with drivers/char/ds1620.c or it 
might be drivers/sensors/sensors.c I really can't tell. And there's 
nothing intuitive to see in the .config file. I spoke to a guru friend of 
mine who is running Mandrake who actually has a CONFIG_SENSORS_DS1621=m in 
*his* .config while I do not.

So here's my question:

1. Is this a bug? i.e., is the src code provided but there's no access to 
the object via the standard config interface?

2. Can someone please tell me what the exact compilation command is to get 
this object module?
I did sensors-detect and it told me what modules I need to modprobe. One 
of the modules it told me I need to modprobe is ds1621.o and it's not 
there. The kernel supplied by Red Hat does not come with ds1621.o and I 
can not find out how to build it; there is no option in the kernel .config 
file to enable the production of that module. I do have lm_sensors 
installed and it seems to be working. But I am not getting access to one 
of the sensors and this is the missing module. And, yes, I do have the 
lm_sensors installed that comes with the distro and that is at rev 2.6.1-1

I suspect that there is a bug because of what I said about my Mandrake 
friend: He can create the module and I can't. He has a CONFIG_DS1621=m in 
his .config and I don't. (I did try to add it manually but it gets 
ignored.)

So let me try this again. There are three things that would solve my 
problem:

1. Someone could send me ds1621.o
2. Tell me what config option I need to set in the kernel .config file to 
   cause this module to be created.
3. Confirm that I have indeed discovered a bug in the kernel which 
   prevents this option from being available.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try to configure a kernel that yields a ds1621.o
2.
3.
	

Additional info:

This impacts lm_sensors, but I don't think it is a problem with  that package.
Comment 1 Phil Knirsch 2002-09-25 11:20:00 EDT
Changing to kernel as component.

Read ya, Phil
Comment 2 Arjan van de Ven 2002-09-25 11:25:46 EDT
Uhm this is supposed to be there
if not you can just grab the kernel from rawhide and use that... that has it for
sure
Comment 3 Bugzilla owner 2004-09-30 11:39:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.